## NMVPNConnection

NMVPNConnection

## Synopsis

    #define             NM_VPN_CONNECTION_VPN_STATE
    #define             NM_VPN_CONNECTION_BANNER
                        NMVPNConnection;
                        NMVPNConnectionClass;
    GObject *           nm_vpn_connection_new               (DBusGConnection *dbus_connection,
                                                             const char *path);
    NMVPNConnectionState  nm_vpn_connection_get_vpn_state   (NMVPNConnection *vpn);
    const char *        nm_vpn_connection_get_banner        (NMVPNConnection *vpn);

## Object Hierarchy

      GObject
       +----NMObject
             +----NMActiveConnection
                   +----NMVPNConnection

## Properties

      "banner"                   gchar*                : Read
      "vpn-state"                guint                 : Read

## Signals

      "vpn-state-changed"                              : Run First

## Description

## Details

### NM_VPN_CONNECTION_VPN_STATE

    #define NM_VPN_CONNECTION_VPN_STATE "vpn-state"

### NM_VPN_CONNECTION_BANNER

    #define NM_VPN_CONNECTION_BANNER "banner"

### NMVPNConnection

    typedef struct _NMVPNConnection NMVPNConnection;

### NMVPNConnectionClass

    typedef struct {
    	NMActiveConnectionClass parent;

    	/* Signals */
    	void (*vpn_state_changed) (NMVPNConnection *connection,
    	                           NMVPNConnectionState state,
    	                           NMVPNConnectionStateReason reason);

    	/* Padding for future expansion */
    	void (*_reserved1) (void);
    	void (*_reserved2) (void);
    	void (*_reserved3) (void);
    	void (*_reserved4) (void);
    	void (*_reserved5) (void);
    	void (*_reserved6) (void);
    } NMVPNConnectionClass;

### nm_vpn_connection_new ()

    GObject *           nm_vpn_connection_new               (DBusGConnection *dbus_connection,
                                                             const char *path);

`dbus_connection` : |
`path` : |
Returns : |

### nm_vpn_connection_get_vpn_state ()

    NMVPNConnectionState  nm_vpn_connection_get_vpn_state   (NMVPNConnection *vpn);

`vpn` : |
Returns : |

### nm_vpn_connection_get_banner ()

    const char *        nm_vpn_connection_get_banner        (NMVPNConnection *vpn);

`vpn` : |
Returns : |

## Property Details

### The `"banner"` property

      "banner"                   gchar*                : Read

The VPN login banner of the active VPN connection.

Default value: NULL

### The `"vpn-state"` property

      "vpn-state"                guint                 : Read

The VPN state of the active VPN connection.

Allowed values: <= 7

Default value: 0

## Signal Details

### The `"vpn-state-changed"` signal

    void                user_function                      (NMVPNConnection *nmvpnconnection,
                                                            guint            arg1,
                                                            guint            arg2,
                                                            gpointer         user_data)            : Run First

`nmvpnconnection` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.